Subject: Re: Lesbian and Gay Christian
From: [email-masked] (Rosemary Johnson)
Date: Sun, 15 Sep 1996 19:01:00 +0100

Hi Terry!

LGCM is UK based and has most of its members and local groups int he
UK, but has members worldwide - including some in the US, I think, also
across Europe and Australia / New Zealand.

Last couple of times I tried I couldn't connect to the web page either;
I'm still investigating what happened to it.

I'm one of the international reps.  you can contact LGCM via email via
me on the address this has come from ([email-masked]) or by
snail mail at

LGCM
Oxford House,
Derbyshire Street,
London
E2 6HG
UK

phone: + 44 171 739 1249

I'd be very interested to hear more about what you are proposing.

Rosemary

******************************************************************************
* To subscribe to QUEERPLANET, send mail to:   [email-masked]      *
* In the mail message, enter ONLY the words:         subscribe queerplanet   *
* To unsubscribe to QUEERPLANET, send mail to:   [email-masked]    *
* In the mail message, enter ONLY the words:       unsubscribe queerplanet   *
* Words in the Subject: line are NOT processed!                              *
******************************************************************************